package cn.cecep.talroad.utils;

/**
 * @author: he yun long
 * @create: 2022-07-12 14:03
 */

/**
 * 分页结果
 */
public class Result <T>{
    private boolean flag; //执行结果，true为执行成功 false为执行失败
    private String msg; //返回结果信息
    private Object data; //返回数据

    public Result() {
    }

    public Result(boolean flag, String msg) {
        this.flag = flag;
        this.msg = msg;
    }

    public Result(boolean flag, String msg, Object data) {
        this.flag = flag;
        this.msg = msg;
        this.data = data;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }
}
